Page MenuHomePhabricator

Logo for FileExporter beta feature
Closed, ResolvedPublic

Description

We need an icon for FileExporter for the beta feature page.

Event Timeline

Restricted Application added a project: Design. · View Herald TranscriptJun 28 2017, 10:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I've been having some major struggles with the svg format today.

Here's one potential version of this.

@Addshore we were discussing this earlier. Is it problematic that this points to Commons? Should it be wiki-independent?

@James_Budday probably in theory yes, although we could always have a specific logo for the beta feature when deployed on wikimedia sites.

Just so I make sure I understand, the Exporter extension could export to any MediaWiki using the Importer extension?

Both extensions could be installed on any mediawiki and could be setup to export / import to any mediawiki install.

I think it would make the most sense then to use the Commons version for Wikimedia projects since that is what I understand to be the main use case.

I had a quick go at making a wiki-agnostic version using the MediaWiki logo. Not sure I'm a big fan since I'm not sure it relays the fact that you're sending it to a different wiki very well, but I'll include it here.

I could also put some thought into how a pair of logos might work (for importer and exporter) if that's something that people think is worth investing time into. Regardless, here are the working ideas.

If anyone has any feedback or ideas, feel free to let me know!

The principle is clear to me (left is source, right is target, between happens the import). If possible, logos need to be more crisp in coming iteration, since currently they blur much at the squint test

Idea wise I think the agnostic one is fine for use on other sites, and I like the commons specific one for wikimedia sites!

James_Budday moved this task from IncomingTCB to Doing on the WMDE-Design board.Aug 22 2017, 9:17 AM
James_Budday added a comment.EditedAug 24 2017, 11:53 AM

Here are some more potential version drafts

1 updated previous idea

2 @Jan_Dittrich idea (would probably need to change the "result screen" a bit on this one if we decide we'd like to pursue it)

3 this one looks weird

Here are the working svgs for 1 and 2. 2 seems to me to be the more promising of the two, but would need a few edits (like centering and a modified result screen) before it is ready to go.

@Addshore @Bmueller @JStrodt_WMDE: Can we consider this as done?

The current one is blocking the Kanban-lane. We gladly take a future change request if it turns out it needs changes.

Addshore closed this task as Resolved.Sep 11 2017, 12:01 PM
Addshore claimed this task.

@Jan_Dittrich personally I think this can be marked as done :)

If anyone disagrees feel free to reopen!

Restricted Application added a project: User-Addshore. · View Herald TranscriptSep 11 2017, 12:01 PM

I have created T175549 for using the images in the extension

Idea wise I think the agnostic one is fine for use on other sites, and I like the commons specific one for wikimedia sites!

I agree with Adam.